Open the Lock - Leetcode 752 - Python

preview_player
Показать описание


0:00 - Read the problem
2:14 - Drawing Explanation
7:43 - Coding Explanation

leetcode 752

#facebook #interview #python
Disclosure: Some of the links above may be affiliate links, from which I may earn a small commission.
Рекомендации по теме
Комментарии
Автор

I thought you won't be posting anymore since you got a job at Google, your videos helps a lot

prajwal
Автор

I tired to search this problem in your channel this morning but couldn’t find the video, and then you posted this video after I had lunch!

tinali
Автор

Just in case if you didn't know, -1%10 gives 9 in python. so we don't have to add 10 and perform modulo. Great video btw!

lavanya_m
Автор

At this point I have started listening to your content as a podcast. Great work!!

NaqushabNeyazee
Автор

Thank you, this why I love this channel the dedication. One day I will make you proud!

ambroseaurelian
Автор

I was so scared of this problem before I saw the graph and explanation, your explanations are golden.

homyakMilashka
Автор

It's so smart to add deadends to the visited set

orangethemeow
Автор

I got this question in my Amazon interview a couple months ago!

fightmeonclubpenguin
Автор

Thanks for such a simple but great explanation!

technicalfriend
Автор

The space complexity is actually O(log 10000 to the base 8) because each combination only has 8 neighbor combinations, and the space needed for visited can be reduced by having a array of Boolean of size 10k (that is 10kb) or using a bit set (size 1.25 KB)

unitycatalog
Автор

appreciate your efforts and big thanks to your explanation. It helps me not to quit practicing the leetcoode

ThantHtooSan-pf
Автор

Appreciate your effort and don’t stop posting

showmethemoney
Автор

Great explanation! This one was tricky because it uses the word "minimum" so I totally thought it was a DP problem and tried to attack it using DFS + memoization and I got stuck. But your explanation was really clear! :)

yunaf
Автор

Would've been interesting to see this solved using a* if you use each lock digit as a coordinate

faence
Автор

Hi Neetcode thanks for your neat explaination...can you pls solve leetcode 465. Optimal account balance problem...this question asked by Google and uber...and this problem is pretty unique!

jeevisiran
Автор

Great explanation as always. Thank you !

MP-nyep
Автор

Hi Neet! Thanks for your videos! They are really helpful! Could you pls do 987. Vertical Order Traversal of a Binary Tree? This is a really popular question for FB (top 10). I think it will help many people! Thanks

chenzhuo
Автор

Simple and straightforward explanations. I'd appreciate it if you could extend the time allotted for explaining time and space complexity.

frameworklabs
Автор

felt terrible comming up with this solution just to know its basically as efficient as you can get it 😆👍

pastori
Автор

For 1000 (10^4) possible combinations, we are also generating lock states within the outer while loop. Shouldn't that make the time complexity O(N * 10^4)?

shahzebnaveed
visit shbcf.ru